import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { BasicAccountInfoComponent } from './basic-account-info.component';

const AccountManagementRoutes: Routes = [
      { path: 'basic-account-info',  component: BasicAccountInfoComponent , pathMatch: 'full'}
];

@NgModule({
      imports: [ RouterModule.forChild(AccountManagementRoutes) ],
      exports: [ RouterModule]
})
export class BasicAccountInfoRoutingModule { }
