/**
 * Created by 91040 on 2/28/2017.
 */
import { Injectable } from '@angular/core';
import { CanActivate, Router, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import {Helper} from "./helper";

@Injectable()
export class CanActivateChildWithAccount implements CanActivate {

    constructor(private router: Router) {

    }

    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean {
        let utilityAccountIdData = JSON.parse(sessionStorage.getItem('com.spireenergy.selectedUtilityAccount'));

        if(utilityAccountIdData && !Helper.isStringEmpty(utilityAccountIdData.utilityAccountId)) {
            return true;
        }
        this.router.navigate(['/account-tiles']);
        return false;
    }
}