import { EventEmitter} from '@angular/core';

export class LanguageService {

    // @output onLanguageSelected - output the current payment when a language is selected
    onLanguageSelected: EventEmitter<any>;
    isDebug : true;

    constructor() {
        this.onLanguageSelected = new EventEmitter();
    }
    emitLanguageChangeEvent(inputValue : string) {
        if(this.isDebug) {
            console.log("emitLanguageChangeEvent : " + inputValue);
        }
        this.onLanguageSelected.emit(inputValue);
    }

    getLanguageChangeEmitter() {
        if(this.isDebug){
            console.log("getLanguageChangeEmitter is calling ");
        }
        return this.onLanguageSelected;
    }
}