import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HttpModule, Http }    from '@angular/http';
import { TranslateModule, TranslateLoader, TranslateStaticLoader } from "ng2-translate";
import { LeftHandColumnComponent } from './left-hand-column.component';
import { NavService } from './nav.service';
import { BasicAccountInfoModule } from '../basic-account-info/basic-account-info.module';
import { AccountBalanceModule } from '../account-balance/account-balance.module';
import { NavigationServicesModule } from 'navigation-services-ui';
import { ModulePagesService } from 'navigation-services-ui';
import { AccountsServicesModule } from 'accounts-services-ui';

@NgModule({
  imports: [
    CommonModule,
    BasicAccountInfoModule,
    NavigationServicesModule,
    AccountBalanceModule,
    AccountsServicesModule,
    TranslateModule
  ],
  declarations: [LeftHandColumnComponent],
  providers: [NavService, ModulePagesService],
  exports: [
    LeftHandColumnComponent
  ]
})
export class LeftHandModule { }
